#!/usr/bin/perl
use HTML::TokeParser;
use LWP::Simple;

# Enter your postal code
# example: Paris = 75000
my $city = 94270;

# The path to the images.
# Don't forget a slash at the end of the path 
my $path = "/usr/local/weatherpics/";

my $URL="http://www.meteoconsult.fr/local/france/prevision/selection.php?langue=fr&saisie=$city";
my $page=get($URL);

my $ville = $page;
$ville =~ s:.*<font class=ville>([^(]*)\(.*:$1:s;
$page  =~ s:.*<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"665\" bgcolor=\"\#FFFFFF\">(.*)</table><table border=\"0\" cellpadding=\"0\" cellspacing=\"12\" width=\'665\'>.*:$1:s;
$page =~ s:<br>: :g;
$page =~ s: / :  :g;

print "$ville\n";
my $first_line;
my $second_line;
my $temperature;
my $picture;

my $p = HTML::TokeParser->new(\$page);
while ( my $token = $p->get_token  ) {
#    print "$token->[0] $token->[1] $token->[2] $token->[3]\n";
    if ( $token->[0] eq "T" ) {
	$tmp = $token->[1];
	$tmp2 = $tmp;
	$tmp =~ s/.*//g;
	$tmp2 =~ s/ //g;
	$tmp2 =~ s/\t//g;
	if (length($tmp) == 0 && length($tmp2) != 0 &&
	    ! ($token->[1] =~ /Tempe. min/))
	{
	    if ($token->[1] =~ /C/)
	    {
		$temperature = "$temperature$token->[1]";
	    }
	    elsif (($token->[1] =~ /lundi/i ) ||
		   ($token->[1] =~ /mardi/i ) ||
		   ($token->[1] =~ /mercredi/i ) ||
		   ($token->[1] =~ /jeudi/i ) ||
		   ($token->[1] =~ /vendredi/i ) ||
		   ($token->[1] =~ /samedi/i ) || 
		   ($token->[1] =~ /dimanche/i ))
	    {
		if (length($first_line) > 0)
		{
		    print "$first_line\n";
		    print "$second_line\n";
		    print "$picture\n";
		    print "$temperature\n";
		    $first_line = "";
		    $second_line = "";
		    $picture = "";
		    $temperature = "";
		}
		$first_line = $token->[1];
	    }
	    else
	    {
		$second_line = $token->[1];
	    }
	}
    }    
    if ( $token->[0] eq "S" ) {
	if ( $token->[1] eq "img"){
	    $tmp = $token->[2]{src};
	    $tmp =~ s:http\://www.meteoconsult.fr/image/logo/lwgnpj/:$path:;
	    $picture = $tmp;
	}
    }
    
#     if (  $token->[0] eq "T" ){
# 	$tmp = $token->[1];
#         $tmp =~ s/.*//g;
#     	if (length($tmp) == 0){
#             $tmp =   $token->[1];
#             $tmp =~ s/(\d+)$/$1C/;
# 	    print $tmp,"\n";
#   	}
#     }
#     if (  $token->[0] eq "S" ){
# 	if ( $token->[1] eq "img"){
#             $tmp = $token->[2]{src};
#             #$tmp =~ s/(weathersymbols)\/now(.*)/$1$2/;
#             #$tmp =~ s/\.gif$/\.png/;
# 	    print( $path,$tmp, "\n");
# 	}
#     }
}
